<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;
$maindb = 'couroutmain';
$trandb = 'courouttran';
$society = $_SESSION["society_" . $dbname];
$file = "courout.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouochdt` = '$searchTerm'";
    }else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `ref` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `paxname` = '$searchTerm'";
    }  else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `passport` = '$searchTerm'";
    }  else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `courto` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `ref` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `paxname` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `passport` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `courto` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY vouchdt";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchdt`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `ref`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `paxname`";
}  else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `passport`";
}  else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `courto`";
} 

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT *, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$trandb` WHERE vouchno !='' $cond $sortcond  $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query) or die(mysqli_error($conn));
// print table($result);
$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $ctr++;
    $rows[] = [
        'success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'vouchno' => $r['vouchno'],
        'mydt' => $r['mydt'],
        'paxname' => $r['paxname'],
        'passport' => $r['passport'],
        'name' => $r['ref'],
        'courto' => $r['courto'],
        'action' => "$file?mode=edit&vouchno=$r[vouchno]",
    ];
}
header("Content-type: application\json");
echo json_encode($rows);
